/**************************************************
** GAME PROJECTILE CLASS
**************************************************/

	bulletImg = new Image();
	bulletImg.src = '../public/images/bullet.png';

var Projectile = function(startX, startY) {
	var x = startX,
		y = startY,
		moveAmount = 2.5;
		
	// getters & setters for Projectile x and y positions:	
	var getX = function() {
		return x;
	};
	
	var getY = function() {
		return y;
	};
	
	var setX = function(newX) {
		x = newX;
	};
	
	var setY = function(newY) {
		y = newY;
	};
	
	var update = function(keys) {	
		// projectiles move straight ahead - from the perspective of the player,
		// they always travel from the bottom of the screen to the top.
		y -= moveAmount;

		// projectiles always move, so just return true
		return true;
	};
	
	var draw = function(ctx) {		
		ctx.drawImage(bulletImg, x - 6.5, y - 6);
	};
	
	return {
		getX: getX,
		getY: getY,
		setX: setX,
		setY: setY,
		update: update,
		draw: draw
	};
	
};